# Created by pyp2rpm-1.0.0
%define pypi_name h5py
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{pypi_name}
Version:        2.3.1
Release:        %mkrel 4
Summary:        Read and write HDF5 files from Python
Group:          Development/Python
License:        BSD
URL:            http://www.h5py.org/
Source0:        https://pypi.python.org/packages/source/h/h5py/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  hdf5-devel
BuildRequires:  python-cython
BuildRequires:  python-numpy-devel
BuildRequires:  python-sphinx

Requires:       python-numpy

%description
The h5py package provides both a high- and low-level interface to the HDF5
library from Python. The low-level interface is intended to be a complete
wrapping of the HDF5 API, while the high-level component supports  access to
HDF5 files, datasets and groups using established Python and NumPy concepts.

#----------------------------------------------------------------

%package -n     python3-%{pypi_name}
Summary:        Read and write HDF5 files from Python 3
Group:          Development/Python
BuildRequires:  python-pytools
BuildRequires:  python3-devel
BuildRequires:  python3-cython
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-sphinx

Requires:       python3-numpy

%description -n python3-h5py
The h5py package provides both a high- and low-level interface to the HDF5
library from Python. The low-level interface is intended to be a complete
wrapping of the HDF5 API, while the high-level component supports  access to
HDF5 files, datasets and groups using established Python and NumPy concepts.
This is the Python 3 version of %{pypi_name}.

#----------------------------------------------------------------
%prep
%setup -q -n %{pypi_name}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python} setup.py build

%install
pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%{__python} setup.py install --root=%{buildroot} --skip-build

%files
%doc licenses/*.txt ANN.rst README.rst
%{python_sitearch}/%{pypi_name}/
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-h5py
%doc licenses/*.txt ANN.rst README.rst
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Feb 16 2016 umeabot <umeabot> 2.3.1-4.mga6
+ Revision: 962226
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.3.1-3.mga6
+ Revision: 888903
- rebuild for python 3.5

* Tue Jul 21 2015 daviddavid <daviddavid> 2.3.1-2.mga6
+ Revision: 855908
- rebuild with new hdf5

* Mon Dec 29 2014 daviddavid <daviddavid> 2.3.1-1.mga5
+ Revision: 807051
- new version: 2.3.1 (fix build failure)
- add a Python3 package
- update Source0 link-url
- add docs for both packages

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.2.0-3.mga4
+ Revision: 543472
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2.0-2.mga4
+ Revision: 498708
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 2.2.0-1.mga4
+ Revision: 492716
- Update to 2.2.0

* Thu Jul 25 2013 joequant <joequant> 2.1.0-1.mga4
+ Revision: 458011
- imported package python-h5py

